import 'package:amos_flutter_ui/message/message_box.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:jcs_airport/services/api.dart';
import 'package:jcs_airport/view/workBench/hiddenDanger/hiddenDangerAudit/hidden_danger_audit.dart';

///@Description     隐患复查(继承自隐患审核，只有数据接口不一样)
///@author          helinlin
///@create          2021-09-01 9:27
class HiddenDangerReview extends StatefulWidget {
  const HiddenDangerReview({Key key}) : super(key: key);

  @override
  _HiddenDangerReviewState createState() => _HiddenDangerReviewState();
}

class _HiddenDangerReviewState extends HiddenDangerAuditState {
 /* @override
  String pageTitle() => '隐患复查';

  @override
  Future<void> getData() async {
    Future.delayed(Duration.zero, () async {
      MsgBox.showProgressDialog(context, content: '加载中，请稍后...');
      var data = await API
          .dangerReviewList(filterData..addAll({'current': page.current.toString(), 'size': page.size.toString()}));
      if (data != null) {
        setState(() {
          dataList.addAll(data['records'].cast<Map<String, Object>>());
        });
      }
    }).whenComplete(() => Get.back());
  }*/
}
